Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 368607 - dev-python/pyfltk-1.1.5 with swig-2.0.4_pre12643 - ./python/fltk_wrap.cpp:6220:43: error: incomplete type ‘Fl_X’ used in nested name specifier
Summary: dev-python/pyfltk-1.1.5 with swig-2.0.4_pre12643 - ./python/fltk_wrap.cpp:622...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal with 4 votes (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-24 16:19 UTC by Juergen Rose
Modified: 2011-12-10 14:14 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
/var/tmp/portage/dev-python/pyfltk-1.1.5/temp/build.log (build.log,10.13 KB, text/plain)
2011-05-24 16:21 UTC, Juergen Rose
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Juergen Rose 2011-05-24 16:19:38 UTC
'emerge pyfltk' fails with:
...
swig -w312 -w451 -w473 -I../swig -I/usr/include/qt4/QtCore -I/usr/include/libdrm -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I/usr/include/libpng14 -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/lib64/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/include/cairo -I/usr/include/fltk-1 -I/usr/include -DFL_EXPORT -DPYTHON -module fltk -c++ -python -shadow -modern -dirprot -fastdispatch -o fltk_wrap.cpp ../swig/fltk.i 
/usr/include/fltk-1/FL/Fl_Check_Browser.H:65: Warning 325: Nested struct not currently supported (cb_item ignored)
/usr/include/fltk-1/FL/fl_draw.H:757: Warning 302: Identifier 'fl_old_shortcut' redefined (ignored),
/usr/include/fltk-1/FL/Fl_Button.H:47: Warning 302: previous definition of 'fl_old_shortcut'.
...
../swig/Fl.i:12: Warning 453: Can't apply (uchar *OUTPUT). No typemaps are defined.
/usr/include/fltk-1/FL/Fl.H:688: Warning 314: 'del' is a python keyword, renaming to '_del'
...
x86_64-pc-linux-gnu-g++ -pthread -march=core2 -msse4 -mcx16 -msahf -O2 -pipe -ggdb -fno-strict-aliasing -fPIC -DUNIX=1 -I/usr/include/qt4/QtCore -I/usr/include/libdrm -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I/usr/include/libpng14 -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/lib64/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/include/cairo -I/usr/include/fltk-1 -I./src -I./contrib -I/usr/include -I/usr/include/python2.7 -c ./python/fltk_wrap.cpp -o build-2.7/temp.linux-x86_64-2.7/./python/fltk_wrap.o
./python/fltk_wrap.cpp: In function ‘const char* fl_vararg_input(const char*, const char*)’:
./python/fltk_wrap.cpp:5174:35: warning: format not a string literal and no format arguments
...
./python/fltk_wrap.cpp:6220:43: error: incomplete type ‘Fl_X’ used in nested name specifier
./python/fltk_wrap.cpp: In function ‘PyObject* _wrap_fl_ask__varargs__(PyObject*, PyObject*, PyObject*)’:
./python/fltk_wrap.cpp:56263:17: warning: ‘int fl_ask(const char*, ...)’ is deprecated (declared at /usr/include/fltk-1/FL/fl_ask.H:56)
./python/fltk_wrap.cpp:56263:47: warning: ‘int fl_ask(const char*, ...)’ is deprecated (declared at /usr/include/fltk-1/FL/fl_ask.H:56)
error: command 'x86_64-pc-linux-gnu-g++' failed with exit status 1
 * ERROR: dev-python/pyfltk-1.1.5 failed (compile phase):
 *   Building failed with CPython 2.7 in distutils_building() function


Reproducible: Always




root@orca:/root(8)# emerge --info =dev-python/pyfltk-1.1.5
Portage 2.1.9.49 (default/linux/amd64/10.0/desktop, gcc-4.5.2, glibc-2.13-r2, 2.6.39-gentoo x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.39-gentoo-x86_64-Intel-R-_Xeon-R-_CPU_W3520_@_2.67GHz-with-gentoo-2.0.2
Timestamp of tree: Tue, 24 May 2011 12:00:01 +0000
app-shells/bash:          4.2_p10
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.1-r1, 3.2
dev-util/cmake:           2.8.4-r1
sys-apps/baselayout:      2.0.2
sys-apps/openrc:          0.8.2-r1
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1-r1
sys-devel/binutils:       2.21
sys-devel/gcc:            4.4.5, 4.5.2
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82
sys-kernel/linux-headers: 2.6.38 (virtual/os-headers)
sys-libs/glibc:           2.13-r2
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA PUEL dlj-1.1 skype-eula googleearth AdobeFlash-10.1 cadsoft"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -msse4 -mcx16 -msahf -O2 -pipe -ggdb"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.2/ext-active/ /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.2/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.2/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -msse4 -mcx16 -msahf -O2 -pipe -ggdb"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks fixlafiles fixpackages news noclean parallel-fetch protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de fr"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/x11 /var/lib/layman/java-overlay /var/lib/layman/sunrise /var/lib/layman/arcon /var/lib/layman/science /usr/local/portage /var/lib/cpan /var/lib/g-octave"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="64bit R X Xaw3d a52 aac abiword acl acpi admin afs alsa amd64 ao apache2 applet archive arpack asf aspell assistant audacious audiofile automap automount bash-completion berkdb blas blast bluetooth boo boost branding bzip2 cairo cdda cddb cdf cdio cdparanoia cdr cg cgi chm cli consolekit corba cracklib crypt css cuda cups curl cxx daap db dbase dbi dbm dbus declarative designer devhelp device-mapper dga dia djvu doc dri ds2490 ds9097 ds9097u dts dv dvb dvd dvdr dvi dynamicplugin eds elf emacs emboss emf encode epiphany evo examples exif expat extensions extra extras fam fame ffmpeg fftw firefox fits flac fltk fontconfig foomaticdb fortran fortran95 fpx fts3 fuse galago gcj gd gdal gdbm gdu gedit geoip geolocation geos gfortran gif gimp ginac git glade glib gml gmp gmtsuppl gnome gnome-keyring gnome-print gnuplot gnutls gphoto2 gpm grammar graphics graphtft graphviz grass gs gsl gsm gstreamer gtk guile harness hddtemp hdf hdf5 hdri http httpd hvm iconv icq icu id3 ide imagemagick imap innodb inotify ipod ipv6 ithreads jabber jadetex java java6 jbig john jpeg jpeg2k kdrive kerberos kpathsea kqemu kvm ladspa lame lapack latex latex3 lcms ldap lensfun libffi libgda libnotify libsamplerate lm_sensors lua lzo mad mail maildir mapnik math matroska mkl mmx mmxext mng modules mono moonlight motif mozilla mp3 mp4 mpeg mpi mpi-threads mplayer mtp mudflap multilib musicbrainz mysql mysqli nautilus ncurses neXt netcdf netpbm network networking networkmanager nfs nls nntp nptl nptlonly nsplugin ntfs ntp numpy nvidia obex objc ocaml octave odbc ogdi ogg ole openexr opengl openmp overview pae pam pango pcre pda pdf perl plotutils plugins png podcast policykit portaudio posix postgres postscript ppds pppd preview-latex proj projectx pstricks pulseaudio python python-bindings q16 q32 qemu qhull qt3support qt4 quicktime readline reiserfs reports rle romio rpc rrdcgi rrdtool samba sasl science sdk sdl secure-delete semantic-desktop server session sip slang slp smbclient smp sms sndfile snmp soup sox speex spell sql sqlite sse sse2 sse4 ssl ssse3 startup-notification stlport subtitles subversion suexec svg svm swig sysfs szip t1lib tcl tcpd tex tex4ht texmacs tgif theora thinkpad threads thunderbird tidy tiff tk tntc tools truetype udev unicode usb userlocales utempter v4l2 virtualbox vorbis wav webdav webdav-serf webkit wmf wxwidgets x264 xattr xcb xemacs xext xine xml xmlreader xmlrpc xorg xpm xulrunner xv xvid xvmc yaml zlib zvbi" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgid dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="braindump flow karbon kexi kpresenter krita tables words" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de fr" NETBEANS_MODULES="apisupport cnd dlight enterprise ergonomics groovy gsf harness ide identity j2ee java mobility nb php profiler ruby websvccommon xml" PHP_TARGETS="php5-3" QEMU_SOFTMMU_TARGETS="i386 ppc ppc64 x86_64" QEMU_USER_TARGETS="arm i386 x86_64" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nv nouveau vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

root@orca:/root(9)# emerge -pqv =dev-python/pyfltk-1.1.5
[ebuild  N    ] dev-python/pyfltk-1.1.5  USE="doc"
Comment 1 Juergen Rose 2011-05-24 16:21:05 UTC
Created attachment 274515 [details]
/var/tmp/portage/dev-python/pyfltk-1.1.5/temp/build.log
Comment 2 Juergen Rose 2011-05-29 11:09:04 UTC
The same happens on a i686 system:

 ./python/fltk_wrap.cpp:6226:43: error: incomplete type ‘Fl_X’ used in nested name specifier
./python/fltk_wrap.cpp: In function ‘PyObject* _wrap_fl_ask__varargs__(PyObject*, PyObject*, PyObject*)’:
./python/fltk_wrap.cpp:56269:17: warning: ‘int fl_ask(const char*, ...)’ is deprecated (declared at /usr/include/fltk-1/FL/fl_ask.H:56)
./python/fltk_wrap.cpp:56269:47: warning: ‘int fl_ask(const char*, ...)’ is deprecated (declared at /usr/include/fltk-1/FL/fl_ask.H:56)
error: command 'i686-pc-linux-gnu-g++' failed with exit status 1
 * ERROR: dev-python/pyfltk-1.1.5 failed (compile phase):
 *   Building failed with CPython 2.7 in distutils_building() function


root@thinkpad:/root(37)# uname -a
Linux thinkpad 2.6.39 #2 PREEMPT Wed May 25 01:51:48 CEST 2011 i686 Intel(R) Pentium(R) M processor 2.00GHz GenuineIntel GNU/Linux
Comment 3 Juergen Rose 2011-05-29 11:11:11 UTC
And it happens with swig-2.0.4.
Comment 4 Rohit Jonahs 2011-06-08 10:32:56 UTC
Yep, exactly the same bug when I'm trying to compile the gazebo package http://playerstage.sourceforge.net/index.php?src=gazebo from the player/stage project
Comment 5 Bjoern Olausson 2011-06-20 14:42:20 UTC
Same for me when compiling dev-python/pyfltk-1.1.5

./python/fltk_wrap.cpp: In function 'int fl_xid_(Fl_Window*)':
./python/fltk_wrap.cpp:5958:44: error: incomplete type 'Fl_X' used in nested name specifier

It happened after updating x11-libs/fltk to 1.3.0 but this might as well be a coincidence.

Cheers,
Bjoern
Comment 6 Ion 2011-08-13 13:28:14 UTC
I've got the same problem when migrating from amd64 ~amd64.
For me, the error is as following:
x86_64-pc-linux-gnu-g++ -pthread -march=native -O2 -pipe -fno-strict-aliasing -fPIC -DUNIX=1 -I/usr/include/libdrm -I/usr/include/libpng14 -I/usr/include/directfb -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/lib64/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/include/cairo -I/usr/include/fltk-1 -I./src -I./contrib -I/usr/include -I/usr/include/python2.7 -c ./python/fltk_wrap.cpp -o build-2.7/temp.linux-x86_64-2.7/./python/fltk_wrap.o
./python/fltk_wrap.cpp: In function ‘const char* fl_vararg_input(const char*, const char*)’:
./python/fltk_wrap.cpp:5180:35: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘const char* fl_vararg_password(const char*, const char*)’:
./python/fltk_wrap.cpp:5186:38: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘void fl_mt_message(const char*)’:
./python/fltk_wrap.cpp:5224:20: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘void fl_mt_alert(const char*)’:
./python/fltk_wrap.cpp:5230:18: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘int fl_mt_ask(const char*)’:
./python/fltk_wrap.cpp:5237:14: warning: ‘int fl_ask(const char*, ...)’ is deprecated (declared at /usr/include/fltk-1/FL/fl_ask.H:56)
./python/fltk_wrap.cpp:5237:25: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp:5237:25: warning: ‘int fl_ask(const char*, ...)’ is deprecated (declared at /usr/include/fltk-1/FL/fl_ask.H:56)
./python/fltk_wrap.cpp: In function ‘int fl_mt_choice(const char*, const char*, const char*, const char*)’:
./python/fltk_wrap.cpp:5245:37: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘const char* fl_mt_input(const char*, const char*)’:
./python/fltk_wrap.cpp:5253:35: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘const char* fl_mt_password(const char*, const char*)’:
./python/fltk_wrap.cpp:5261:38: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘int fl_xid_(Fl_Window*)’:
./python/fltk_wrap.cpp:6226:43: error: incomplete type ‘Fl_X’ used in nested name specifier
./python/fltk_wrap.cpp: In function ‘PyObject* _wrap_fl_ask__varargs__(PyObject*, PyObject*, PyObject*)’:
./python/fltk_wrap.cpp:56240:17: warning: ‘int fl_ask(const char*, ...)’ is deprecated (declared at /usr/include/fltk-1/FL/fl_ask.H:56)
./python/fltk_wrap.cpp:56240:47: warning: ‘int fl_ask(const char*, ...)’ is deprecated (declared at /usr/include/fltk-1/FL/fl_ask.H:56)
error: command 'x86_64-pc-linux-gnu-g++' failed with exit status 1
 * ERROR: dev-python/pyfltk-1.1.5 failed (compile phase):
 *   Building failed with CPython 2.7 in distutils_building() function
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_compile
 *   environment, line 5112:  Called distutils_src_compile
 *   environment, line 1276:  Called python_execute_function 'distutils_building'
 *   environment, line 3483:  Called die
 * The specific snippet of code:
 *                       die "${failure_message}";
 * 
 * If you need support, post the output of 'emerge --info =dev-python/pyfltk-1.1.5',
 * the complete build log and the output of 'emerge -pqv =dev-python/pyfltk-1.1.5'.
 * The complete build log is located at '/var/tmp/portage/dev-python/pyfltk-1.1.5/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-python/pyfltk-1.1.5/temp/environment'.
 * S: '/var/tmp/portage/dev-python/pyfltk-1.1.5/work/pyFltk-1.1.5'

localhost ion # emerge --info =dev-python/pyfltk-1.1.5
Portage 2.1.10.10 (default/linux/amd64/10.0, gcc-4.5.3, glibc-2.13-r4, 2.6.38-gentoo-r6 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.38-gentoo-r6-x86_64-Intel-R-_Pentium-R-_CPU_P6100_@_2.00GHz-with-gentoo-2.0.3
Timestamp of tree: Fri, 12 Aug 2011 08:15:01 +0000
app-shells/bash:          4.2_p10
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.2-r2, 3.2-r2
dev-util/cmake:           2.8.5-r2
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.8.3-r1
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1-r1
sys-devel/binutils:       2.21.1
sys-devel/gcc:            4.5.3
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.38 (virtual/os-headers)
sys-libs/glibc:           2.13-r4
Repositories: gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://mirror.gentoo.md"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://gentoo.md/gentoo-portage"
USE="X acl acpi alsa amd64 audio berkdb blender-game bzip2 cairo cdr cli cracklib cups cxx dbus device-mapper directfb djvu dri dvd encode examples extra extras ffmpeg firefox fltk fontconfig fortran gd gdbm gdu gpm gtk iconv icq imlib ipv6 jadetex jpeg kpathsea lame latex lm_sensors lock mad matroska mmx modules mp3 mudflap multilib mysql ncurses nls nptl nptlonly nsplugin ogg openal opengl openmp pam pcre perl pmu png policykit pppd python qt3 qt3support readline screensaver sdl session sessions spell sse sse2 ssl ssse3 startup-notification svg svq sysfs tcpd theora threads thunar tiff tk traits truetype udev unicode usb v4l v4l2 vorbis wxwidgets x264 xcb xine xml xorg xv xvid yahoo zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="braindump flow karbon kexi kpresenter krita tables words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

dev-python/pyfltk-1.1.5 was built with the following:
USE="doc (multilib)"
Comment 7 Ion 2011-11-07 17:13:17 UTC
I have the same problem:
x86_64-pc-linux-gnu-g++ -pthread -march=native -O2 -pipe -fno-strict-aliasing -fPIC -DUNIX=1 -I/usr/include/libdrm -I/usr/include/libpng14 -I/usr/include/directfb -I/usr/include/freetype2 -I/usr/include/pixman-1 -I/usr/lib64/glib-2.0/include -I/usr/include/glib-2.0 -I/usr/include/cairo -I/usr/include/fltk-1 -I./src -I./contrib -I/usr/include -I/usr/include/python2.7 -c ./python/fltk_wrap.cpp -o build-2.7/temp.linux-x86_64-2.7/./python/fltk_wrap.o
./python/fltk_wrap.cpp: In function ‘const char* fl_vararg_input(const char*, const char*)’:
./python/fltk_wrap.cpp:5180:35: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘const char* fl_vararg_password(const char*, const char*)’:
./python/fltk_wrap.cpp:5186:38: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘void fl_mt_message(const char*)’:
./python/fltk_wrap.cpp:5224:20: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘void fl_mt_alert(const char*)’:
./python/fltk_wrap.cpp:5230:18: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘int fl_mt_ask(const char*)’:
./python/fltk_wrap.cpp:5237:14: warning: ‘int fl_ask(const char*, ...)’ is deprecated (declared at /usr/include/fltk-1/FL/fl_ask.H:56)
./python/fltk_wrap.cpp:5237:25: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp:5237:25: warning: ‘int fl_ask(const char*, ...)’ is deprecated (declared at /usr/include/fltk-1/FL/fl_ask.H:56)
./python/fltk_wrap.cpp: In function ‘int fl_mt_choice(const char*, const char*, const char*, const char*)’:
./python/fltk_wrap.cpp:5245:37: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘const char* fl_mt_input(const char*, const char*)’:
./python/fltk_wrap.cpp:5253:35: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘const char* fl_mt_password(const char*, const char*)’:
./python/fltk_wrap.cpp:5261:38: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘int fl_xid_(Fl_Window*)’:
./python/fltk_wrap.cpp:6226:43: error: incomplete type ‘Fl_X’ used in nested name specifier
./python/fltk_wrap.cpp: In function ‘PyObject* _wrap_fl_ask__varargs__(PyObject*, PyObject*, PyObject*)’:
./python/fltk_wrap.cpp:56240:17: warning: ‘int fl_ask(const char*, ...)’ is deprecated (declared at /usr/include/fltk-1/FL/fl_ask.H:56)
./python/fltk_wrap.cpp:56240:47: warning: ‘int fl_ask(const char*, ...)’ is deprecated (declared at /usr/include/fltk-1/FL/fl_ask.H:56)
error: command 'x86_64-pc-linux-gnu-g++' failed with exit status 1
 * ERROR: dev-python/pyfltk-1.1.5 failed (compile phase):
 *   Building failed with CPython 2.7 in distutils_building() function

Reproducible: always

localhost ion # emerge --info =dev-puthon/pyfltk-1.1.5
Portage 2.1.10.32 (default/linux/amd64/10.0, gcc-4.5.3, glibc-2.13-r4, 3.1.0-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.1.0-gentoo-x86_64-Intel-R-_Pentium-R-_CPU_P6100_@_2.00GHz-with-gentoo-2.1
Timestamp of tree: Mon, 07 Nov 2011 11:30:01 +0000
app-shells/bash:          4.2_p10
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.2-r3, 3.2.2
dev-util/cmake:           2.8.6-r3
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1-r1
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.5.3-r1
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r4
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 2.6.39 (virtual/os-headers)
sys-libs/glibc:           2.13-r4
Repositories: gentoo
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs distlocks ebuild-locks fixlafiles news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa amd64 audio berkdb blender-game bzip2 cairo cdr cli cracklib cups cxx dbus device-mapper directfb djvu dri dvd encode examples extra extras ffmpeg firefox fltk fontconfig fortran gd gdbm gdu gpm gtk hal iconv icq imlib ipv6 jadetex jpeg kpathsea lame latex lm_sensors lock mad matroska mmx modules mp3 mudflap multilib mysql ncurses nls nptl nptlonly nsplugin ogg openal opengl openmp pam pcre pmu png policykit pppd qt3 qt3support readline screensaver sdl session sessions spell sse sse2 ssl ssse3 startup-notification svg svq sysfs tcpd theora threads thunar tiff tk traits truetype udev unicode usb v4l v4l2 vorbis wxwidgets x264 xcb xine xml xorg xv xvid yahoo zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 8 Matthew Kern 2011-11-17 02:08:53 UTC
same exact problems for me, just bumping this up where some can see it. Can we please get some sort of fix for this? this has been bugging me for months.

x86_64-pc-linux-gnu-g++ -pthread -march=native -O2 -pipe -fno-strict-aliasing -fPIC -DUNIX=1 -I/usr/include/fltk-1 -I./src -I./contrib -I/usr/include -I/usr/include/python2.7 -c ./python/fltk_wrap.cpp -o build-2.7/temp.linux-x86_64-2.7/./python/fltk_wrap.o
./python/fltk_wrap.cpp: In function ‘const char* fl_vararg_input(const char*, const char*)’:
./python/fltk_wrap.cpp:5180:35: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘const char* fl_vararg_password(const char*, const char*)’:
./python/fltk_wrap.cpp:5186:38: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘void fl_mt_message(const char*)’:
./python/fltk_wrap.cpp:5224:20: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘void fl_mt_alert(const char*)’:
./python/fltk_wrap.cpp:5230:18: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘int fl_mt_ask(const char*)’:
./python/fltk_wrap.cpp:5237:14: warning: ‘int fl_ask(const char*, ...)’ is deprecated (declared at /usr/include/fltk-1/FL/fl_ask.H:56)
./python/fltk_wrap.cpp:5237:25: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp:5237:25: warning: ‘int fl_ask(const char*, ...)’ is deprecated (declared at /usr/include/fltk-1/FL/fl_ask.H:56)
./python/fltk_wrap.cpp: In function ‘int fl_mt_choice(const char*, const char*, const char*, const char*)’:
./python/fltk_wrap.cpp:5245:37: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘const char* fl_mt_input(const char*, const char*)’:
./python/fltk_wrap.cpp:5253:35: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘const char* fl_mt_password(const char*, const char*)’:
./python/fltk_wrap.cpp:5261:38: warning: format not a string literal and no format arguments
./python/fltk_wrap.cpp: In function ‘int fl_xid_(Fl_Window*)’:
./python/fltk_wrap.cpp:6226:43: error: incomplete type ‘Fl_X’ used in nested name specifier
./python/fltk_wrap.cpp: In function ‘PyObject* _wrap_fl_ask__varargs__(PyObject*, PyObject*, PyObject*)’:
./python/fltk_wrap.cpp:56240:17: warning: ‘int fl_ask(const char*, ...)’ is deprecated (declared at /usr/include/fltk-1/FL/fl_ask.H:56)
./python/fltk_wrap.cpp:56240:47: warning: ‘int fl_ask(const char*, ...)’ is deprecated (declared at /usr/include/fltk-1/FL/fl_ask.H:56)
error: command 'x86_64-pc-linux-gnu-g++' failed with exit status 1
 * ERROR: dev-python/pyfltk-1.1.5 failed (compile phase):
 *   Building failed with CPython 2.7 in distutils_building() function
Comment 9 Ian Delaney (RETIRED) gentoo-dev 2011-11-30 13:04:07 UTC
This is difficult since the syntax is a combo of pix imaging, C++ and python.
line 6220;
 int fl_xid(Fl_Window *w) { return (int)(Fl_X::i(w)->xid); 
is the culprit.  

Lines 
%inline %{
  int fl_xid(Fl_Window *w) { return (int)(Fl_X::i(w)->xid); }
%}
in swig/x.i are also the culprit.  Making some calculated attempts at correction, I have
./python/fltk_wrap.cpp:6220:43: error: 'Fl_XBM_IMAGE' was not declared in this scope
./python/fltk_wrap.cpp:6220:56: error: 'i' has not been declared

Fl_X is reported in the initial output as incomplete.  Complete options are ;
Fl_XPM_Image, Fl_XPM_Image.i,
Fl_XBM_Image, Fl_XBM_Image.i,
none of which cure.  Can someone pick up from here and tell, 
what is i in i(w)->xid)???
what is xid in i(w)->xid)???

This would help reach a resolution.  i in C++ must be a declared variable of an established inline or static function that takes (*w) as a parameter.  Where and how is the missing declaration to be made???
This beckons referral to upstream. The nomenclature seems to lean towards making such entries and having them substituted or expanded by some python type function in execution of autotools, muddying the waters no end.
Comment 10 Samuli Suominen gentoo-dev 2011-12-09 17:14:52 UTC
This should be fixed by now... Try pyfltk-1.3.0